=== debian/control ===
Source: ros-kinetic-dynpick-driver
Section: misc
Priority: extra
Maintainer: TORK <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-std-srvs
Homepage: http://wiki.ros.org/dynpick_driver
Standards-Version: 3.9.2

Package: ros-kinetic-dynpick-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-rviz, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-xacro
Description: Driver package for Wacohtech dynpick force sensor.
 This contains ROS-compatible linux driver, as well as a communication test tool. As of Oct 2016, it's tested with the following models of dynpick: wdf-6m200-3 WEF-6A200 (confirmed here)
